TRANSMISSION-DAEMON(1)

NAME
transmission-daemon - a bittorrent client

SYNOPSIS
transmission-daemon -h
transmission-daemon [-a (+|-)x.x.x.x[/x],...] [-b | -B] [-f] [-g directory] [-h] [-p port] [-t | -T] [-u username] [-v password] [-w download-dir]

DESCRIPTION
transmission-daemon is a daemon-based Transmission session that can be controlled via RPC commands from transmission's web interface or transmission-remote(1).

OPTIONS

-a --acl (+|-)x.x.x.x[/x],...
    Specify access control list (ACL) to control which hosts may submit RPC requests. ACL is a comma separated list of IP subnets, each subnet is prepended by '-' or '+' sign. Plus means allow, minus means deny. If subnet mask is omitted, like "-1.2.3.4", then it means that single IP address. Masks may vary from 0 to 32 inclusive. Default: +127.0.0.1

-b --blocklist
    Enable peer blocklists. Transmission understands the bluetack blocklist file format. New blocklists can be added by copying them into the config-dir's "blocklists" subdirectory.

-B --no-blocklist
    Disble blocklists.

-f --foreground
    Run in the foreground and print errors to stderr.

-g --config-dir directory
    Where to look for .torrent and config files on startup.

-h --help
    Print command-line option descriptions.

-p --port port
    Port to open and listen for RPC requests on. Default: 9091

-t --auth
    Require clients to authenticate themselves. This doesn't do much good unless username and password are also set.

-T --no-auth
    Don't require authentication from clients.

-u --username username
    Used for client authentication.

-v --password password
    Used for client authentication.

-w --download-dir
    Where to store downloaded data.

ENVIRONMENT

TRANSMISSION_HOME
    Sets the default config-dir.

FILES
~/.config/transmission-daemon
    The config-dir used when neither [TRANSMISSION_HOME] nor [-g] is specified.

AUTHORS
-nosplit Charles Kerr, Josh Elsasser, Eric Petit, and Mitchell Livingston.

SEE ALSO
transmissioncli(1), transmission(1), transmission-remote(1)

http://www.transmissionbt.com/